Skip to main content
POST
Callback

Path Parameters

provider_name
string
required

Body

application/json

Request body for OAuth callback completion.

code
string
required

Authorization code from provider

state
string
required

State token for CSRF protection

redirect_uri
string
required

Original redirect URI used in authorize request

Response

Successful Response

Response for successful OAuth callback authentication.

token
string
required

JWT access token

refresh_token
string
required

JWT refresh token

expires_in
integer
required

Access token expiration time in seconds

account
AccountResponse · object
required

Account information

user
UserResponse · object
required

User information

is_new_user
boolean
required

Whether a new user was created

is_new_account
boolean
required

Whether a new account was created